Loading...
Searching...
No Matches
filteredcompositenode.hh File Reference
`#include <memory>`
`#include <tuple>`
`#include <type_traits>`
`#include <dune/typetree/nodetags.hh>`
`#include <dune/typetree/filters.hh>`
`#include <dune/common/shared_ptr.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/indices.hh>`

Go to the source code of this file.

## Classes

class | Dune::TypeTree::FilteredCompositeNode< Node, Filter >
| Base class for composite nodes representing a filtered view on an underlying composite node. More...
struct | Dune::TypeTree::FilteredCompositeNode< Node, Filter >::Child< k >
| Access to the type and storage type of the i-th child. More...

## Namespaces

namespace | Dune
namespace | Dune::TypeTree